Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Interface IEndPointStateChangePublisher

All Known Implementing Classes:
  Gossiper

    public interface IEndPointStateChangePublisher

This is implemented by the Gossiper module to publish change events to interested parties. Interested parties register/unregister interest by invoking the methods of this interface.

Method Summary
`void` | `register(IEndPointStateChangeSubscriber subcriber)` Register for interesting state changes.
`void` | `unregister(IEndPointStateChangeSubscriber subcriber)` Unregister interest for state changes.

Method Detail

### register

    void register(IEndPointStateChangeSubscriber subcriber)

  Register for interesting state changes.

  Parameters:
    `subcriber` - module which implements the IEndPointStateChangeSubscriber

### unregister

    void unregister(IEndPointStateChangeSubscriber subcriber)

  Unregister interest for state changes.

  Parameters:
    `subcriber` - module which implements the IEndPointStateChangeSubscriber

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation